Skip Menu |
 

This queue is for tickets about the XML-Atom CPAN distribution.

Report information
The Basics
Id: 23538
Status: new
Priority: 0/
Queue: XML-Atom

People
Owner: Nobody in particular
Requestors: ANDK [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: 0.23



Subject: Optional prereqs are not so optional
Download (untitled) / with headers
text/plain 1.1k
The dialog about optional features in XML::Atom pretends that these five modules are not hard requirements. XML::XPath LWP::UserAgent Digest::SHA1 DateTime XML::LibXML So I skipped them all. But when I ran the tests it turned out that any of the 5 missing leads to failing tests. Well, to be precice, I installed them in the order above and only after the fifth the tests succeeded. This was with 0.23 with various bleadperls. Please let me know if you need further info. To remedy the situation, I uploaded the following patch to CPAN as ANDK/patches/XML-Atom-0.23-ANDK-01.patch.gz diff -urp XML-Atom-0.23.orig/Makefile.PL XML-Atom-0.23-dwTvI8/Makefile.PL --- XML-Atom-0.23.orig/Makefile.PL 2006-08-16 07:40:47.000000000 +0200 +++ XML-Atom-0.23-dwTvI8/Makefile.PL 2006-11-22 09:05:32.000000000 +0100 @@ -15,6 +15,11 @@ include('ExtUtils::AutoInstall'); requires('MIME::Base64'); requires('URI'); requires('Class::Data::Inheritable'); +requires('XML::XPath'); +requires('LWP::UserAgent'); +requires('Digest::SHA1'); +requires('DateTime'); +requires('XML::LibXML'); features( 'Faster XML parsing with libxml' => [ Thanks,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.